Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.rules
Class AbleLifespan

    java.lang.Object
      com.ibm.able.rules.AbleLifespan

All Implemented Interfaces:
  java.io.Serializable

public class AbleLifespan
extends java.lang.Object
implements java.io.Serializable

This class defines the starting and ending conditions and duration for an AbleCorrelatioRule lifetime.

See Also:
  Serialized Form

Field Summary
`static int` | `DISCARD` Value of discard expiration type
`static int` | `REPLACE` Value of replace correlation code
`static int` | `TERMINATE` Value of terminate expiration type

Constructor Summary
`AbleLifespan(java.lang.Integer id)` Construct a new Lifespan with the specified id Construct all data types and set startup to false.
`AbleLifespan(java.lang.String theName)` Construct a new Lifespan with the specified identifier.

Method Summary
`void` | `addKeyDesc(java.lang.String key)` add key to this lifespan keyBy list.
`java.util.HashMap` | `getAliases()` Returns the mapping between the aliases to the event names
`java.lang.String` | `getDesc()` Returns lifespan description.
`int` | `getElement(java.lang.String desc)` Returns the place of the specified element in the array of elements used by expression tree to evaluate conditions.
`int` | `getElementsNum()` Returns the number of elements in this lifespan.
`java.util.ArrayList` | `getEventInitiators()` Returns the lifespan's eventInitiatores list
`java.util.ArrayList` | `getEventTerminators()` Returns the lifespan's eventTerminators list
`long` | `getExpirationInterval()` Returns expiration interval.
`int` | `getExpirationIntervalType()` Returns lifespan expiration interval type mode.
`long` | `getExpirationTime()` Returns expiration time.
`int` | `getExpirationTimeType()` Returns lifespan expiration time type mode.
`java.lang.Integer` | `getID()` Returns lifespan ID.
`java.util.Iterator` | `getInitiatorIterator()` Returns iterator over this lifespan eventInitiators.
`java.lang.String` | `getKeyDesc(int index)` Returns the key description at the specified position.
`int` | `getKeysNum()` Returns the number of keys in this lifespan.
`boolean` | `getStartup()` Returns true if lifespan initiates on startup.
`java.util.Iterator` | `getTerminatorIterator()` Returns iterator over this lifespan eventTerminators.
`boolean` | `hasExpire()` Returns true if this lifespan has expiration clause.
`boolean` | `isModified()` Return the value of the modified flag
`void` | `resetModified()` Reset the lifespan modification flag to false when the new definition becomes active
`void` | `setAliases(java.util.HashMap aliases)` Set the lifespan aliases attribute
`void` | `setDesc(java.lang.String desc)` Changes this lifespan description to be equal to the specified description.
`void` | `setElements(java.util.HashMap elements)` chanaged the mapping between the description of the elements of this lifespan ( initiators, temrinators) to theirs place (index) in the instances array used for expressions, to be equal to the specified mapping.
`void` | `setEventInitiators(java.util.ArrayList eventInitiators)` Changes this lifespan eventInitiatirs list to equal to the specified description
`void` | `setEventTerminators(java.util.ArrayList eventTerminators)` Changes this lifespan eventTerminators list to equal to the specified description
`void` | `setExpirationInterval(long expirationInterval)` Changes this lifespan expiration interval to be equal to the specified time.
`void` | `setExpirationIntervalType(int expirationIntervalType)` Changes this lifespan expiration interval type to be equal to the specified type.
`void` | `setExpirationTime(long expirationTime)` Changes this lifespan expiration time to be equal to the specified time.
`void` | `setExpirationTimeType(int expirationTimeType)` Changes this lifespan expiration type to be equal to the specified type.
`void` | `setModified()` Set the lifespan modification flag to true when the definition is modified online
`void` | `setStartup(boolean startup)` Changes this lifespan startup flag to be equal to the specified flag.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REPLACE

    public static final int REPLACE

  Value of replace correlation code

  See Also:
    Constant Field Values

### TERMINATE

    public static final int TERMINATE

  Value of terminate expiration type

  See Also:
    Constant Field Values

### DISCARD

    public static final int DISCARD

  Value of discard expiration type

  See Also:
    Constant Field Values

Constructor Detail

### AbleLifespan

    public AbleLifespan(java.lang.Integer id)

  Construct a new Lifespan with the specified id Construct all data types and set startup to false.

Parameters:
  `id` - lifespan id;

### AbleLifespan

    public AbleLifespan(java.lang.String theName)

  Construct a new Lifespan with the specified identifier. Construct all data types and set startup to false.

Parameters:
  `theName` - The lifespan identifier.

Method Detail

### getID

    public java.lang.Integer getID()

  Returns lifespan ID.

  Returns:
    lifespan ID

### getDesc

    public java.lang.String getDesc()

  Returns lifespan description.

  Returns:
    lifespan description

### getStartup

    public boolean getStartup()

  Returns true if lifespan initiates on startup.

  Returns:
    true if lifespan initiates on startup

### getEventInitiators

    public java.util.ArrayList getEventInitiators()

  Returns the lifespan's eventInitiatores list

  Returns:
    lifespan's eventInitiatores list

### getEventTerminators

    public java.util.ArrayList getEventTerminators()

  Returns the lifespan's eventTerminators list

  Returns:
    lifespan's eventTerminators list

### getExpirationInterval

    public long getExpirationInterval()

  Returns expiration interval.

  Returns:
    expiration interval

### getExpirationIntervalType

    public int getExpirationIntervalType()

  Returns lifespan expiration interval type mode.

  Returns:
    expiration interval type

### getExpirationTime

    public long getExpirationTime()

  Returns expiration time.

  Returns:
    expiration time

### getExpirationTimeType

    public int getExpirationTimeType()

  Returns lifespan expiration time type mode.

  Returns:
    expiration time type

### getElement

    public int getElement(java.lang.String desc)

  Returns the place of the specified element in the array of elements used by expression tree to evaluate conditions.

  Parameters:
    `desc` - element description
  Returns:
    the place of the specified element

### getElementsNum

    public int getElementsNum()

  Returns the number of elements in this lifespan.

  Returns:
    number of elements in this lifespan

### getInitiatorIterator

    public java.util.Iterator getInitiatorIterator()

  Returns iterator over this lifespan eventInitiators.

  Returns:
    Iterator over this lifespan eventInitiators

### getTerminatorIterator

    public java.util.Iterator getTerminatorIterator()

  Returns iterator over this lifespan eventTerminators.

  Returns:
    Iterator over this lifespan eventTerminators

### setDesc

    public void setDesc(java.lang.String desc)

  Changes this lifespan description to be equal to the specified description.

  Parameters:
    `desc` - the new description of this lifespan

### setEventInitiators

    public void setEventInitiators(java.util.ArrayList eventInitiators)

  Changes this lifespan eventInitiatirs list to equal to the specified description

  Parameters:
    `eventInitiators` - the specified list of initiators

### setEventTerminators

    public void setEventTerminators(java.util.ArrayList eventTerminators)

  Changes this lifespan eventTerminators list to equal to the specified description

  Parameters:
    `eventTerminators` - the specified list of terminators

### setStartup

    public void setStartup(boolean startup)

  Changes this lifespan startup flag to be equal to the specified flag.

  Parameters:
    `startup` - the new startup flag of this lifespan

### setExpirationInterval

    public void setExpirationInterval(long expirationInterval)

  Changes this lifespan expiration interval to be equal to the specified time.

  Parameters:
    `expirationInterval` - the new expiration interval of this lifespan

### setExpirationIntervalType

    public void setExpirationIntervalType(int expirationIntervalType)

  Changes this lifespan expiration interval type to be equal to the specified type.

  Parameters:
    `expirationIntervalType` - The new expiration interval type of this lifespan.

### setExpirationTime

    public void setExpirationTime(long expirationTime)

  Changes this lifespan expiration time to be equal to the specified time.

  Parameters:
    `expirationTime` - the new expirationTime of this lifespan

### setExpirationTimeType

    public void setExpirationTimeType(int expirationTimeType)

  Changes this lifespan expiration type to be equal to the specified type.

  Parameters:
    `expirationTimeType` - The new expiration time type of this lifespan.

### setModified

    public void setModified()

  Set the lifespan modification flag to true when the definition is modified online

### setAliases

    public void setAliases(java.util.HashMap aliases)

  Set the lifespan aliases attribute

  Parameters:
    `aliases` - - the attribute value to be set

### resetModified

    public void resetModified()

  Reset the lifespan modification flag to false when the new definition becomes active

### isModified

    public boolean isModified()

  Return the value of the modified flag

  Returns:
    the value of the lifespan's modified flag

### addKeyDesc

    public void addKeyDesc(java.lang.String key)

  add key to this lifespan keyBy list.

  Parameters:
    `key` - a key name of this lifespan

### getKeyDesc

    public java.lang.String getKeyDesc(int index)

  Returns the key description at the specified position.

  Parameters:
    `index` - index of Key to return
  Returns:
    the key description at the specified position

### getKeysNum

    public int getKeysNum()

  Returns the number of keys in this lifespan.

  Returns:
    number of operands in this event

### getAliases

    public java.util.HashMap getAliases()

  Returns the mapping between the aliases to the event names

  Returns:
    aliases - mapping between the aliases to the event names

### setElements

    public void setElements(java.util.HashMap elements)

  chanaged the mapping between the description of the elements of this lifespan ( initiators, temrinators) to theirs place (index) in the instances array used for expressions, to be equal to the specified mapping.

  Parameters:
    `elements` - The new elements mapping of this lifespan.

### hasExpire

    public boolean hasExpire()

  Returns true if this lifespan has expiration clause.

  Returns:
    true if this lifespan has expiration clause.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005